// Archivo: molaridad.cpp
#include "molaridad.hpp"
#include <iostream>
#include<locale.h>
#include <string>
#include <windows.h>
using namespace std;

//Métodos Públicos
// Definición del constructor por defecto e inicilización de miembros
Molaridad::Molaridad() : Solucion()
{
	this->moles = 0;
	this->litros = 0;
}
// Definición del constructor específico
Molaridad::Molaridad(string nom, string formu, float mo, float li) : Solucion(nom, formu)
{
	this->moles= mo;
	this->litros = li;
}
// Definición del método específico de carga
void Molaridad::getmolaridad(string nom, string formu, float mo, float li)
{
	this->moles = mo;
	this->litros = li;
}
// Definición del destructor por defecto
Molaridad::~Molaridad()
{
}
void Molaridad::setmolaridad()
{
	cout << endl;
	cout << "\n\t  **** RESULTADO DEL CÁLCULO DE LA MOLARIDAD DE LA SOLUCIÓN **** ";
	cout << "\n\t-----------------------------------------------------------------";
	cout << "\n\tNúmero de moles de soluto: " << moles << "\t\tLitros de solución: " << litros;
	Sleep(200);
}
float Molaridad::concentracion()
{
	float mola = 0;
	Solucion::concentracion();
	mola = moles / litros;
	return mola;
}
// final del archivo molaridad.cpp
